
import random

def random_visa_operation(device):
    """
    This function performs a random operation on a VISA device using PyVISA.
    It randomly selects an operation such as write, read, or query.
    """
    operations = ["write", "read", "query"]
    operation = random.choice(operations)
    
    if operation == "write":
        device.write("HELLO WORLD")
    elif operation == "read":
        return device.read()
    elif operation == "query":
        return device.query("*IDN?")

    return None



